package com.jiuqi.dna.ide.designer.commands;

import com.jiuqi.dna.ide.designer.DesignerMessages;
import com.jiuqi.dna.ide.designer.elements.ICompositeElement;
import com.jiuqi.dna.ide.designer.elements.IDesignerElement;
import org.eclipse.gef.commands.Command;

/* loaded from: com_jiuqi_dna_ide_designer_commands.jar:com/jiuqi/dna/ide/designer/commands/DesignerElementCreateCommand.class */
public class DesignerElementCreateCommand extends Command {
    private IDesignerElement element;
    private ICompositeElement parent;

    public DesignerElementCreateCommand(IDesignerElement element, ICompositeElement parent) {
        if (element == null) {
            throw new NullPointerException("参数element不能为NULL");
        }
        if (parent == null) {
            throw new NullPointerException("参数parent不能为NULL");
        }
        this.element = element;
        this.parent = parent;
        element.setParent(this.parent);
        setLabel(DesignerMessages.DesignerElementCreateCommandLabel);
    }

    public boolean canExecute() {
        return !this.element.isInitialized() && this.element.isInitializable();
    }

    public void execute() {
        this.element.init();
    }

    public void undo() {
        this.element.dispose();
    }
}
